<!-- FlexExtractor config file to generate the DIP publications file for PVSS -->
<flexextractor version = "1.0" description = "Config file to generate XXX" >	

	<input type = "XML_XPATH" combine = "true">
		<source name = "application" parameter = "/dip/application">
			<data name = "projectName" select = "./projectName/text()" />
			<data name = "applicationName" select= "./applicationName/text()"/>
			<data name = "plcName" select = "./plcName/text()"/>
		</source>
		<source name = "dipConfigs" parameter = "/dip/dipConfigs/dipConfig">
			<data name = "configName" select = "./@configName" />
			<data name = "devicePrefix" select = "./devicePrefix/text()" />
			<data name = "systemName" select = "./systemName/text()" />
			<data name = "publisher" select = "./publisher/text()" />
			<data name = "timeout" select = "./timeout/text()" />
		</source>
		<source name= "dipPublications" parameter = "/dip/dipPublications/dipPublication">
			<data name = "alias" select = "./alias/text()" />
			<data name = "deviceType" select = "./deviceType/text()" />
			<data name = "dipConfig" select = "./dipConfig/text()" />
			<data name = "publicationName" select = "./publicationName/text()" />
			<data name = "element" select = "./element/text()" />
			<data name = "tag" select = "./tag/text()" />
			<data name = "buffer" select = "./buffer/text()" />
			<data name = "instanceNumber" select = "./instanceNumber/text()" />
			<data name = "type" select = "./type/text()" />
		</source>
	</input>	

	<output head = "&lt;?xml version=&quot;1.0&quot; encoding=&quot;ascii&quot;?&gt;">
		
		<section condition = "{dipConfigs.configName} == {dipPublications.dipConfig}" head = "&lt;configuration name=&quot;{dipConfigs.configName}&quot;&gt;" tail = "&lt;/configuration&gt;">
				
			<section condition = "{dipConfigs.configName} == {dipPublications.dipConfig}" head = "    &lt;subscription name=&quot;{dipPublications.publicationName}&quot; type=&quot;multiple&quot;&gt;" tail = "    &lt;/subscription&gt;" generate = "      &lt;dpe&gt;&#10;        &lt;name&gt;&lt;/name&gt;&#10;        &lt;alias&gt;{dipPublications.alias}&lt;/alias&gt;&#10;        &lt;type&gt;{dipPublications.type}&lt;/type&gt;&#10;        &lt;element&gt;&lt;/element&gt;&#10;        &lt;tag&gt;{dipPublications.tag}&lt;/tag&gt;&#10;      &lt;/dpe&gt;&#10;      &lt;overwrite&gt;TRUE&lt;/overwrite&gt;"/>
		
		</section>
		
	</output>


</flexextractor>